function [H,mi]=init_hyperstate(sidp_parameters, apriori)
%OK
dim=2;
H=zeros(sidp_parameters.horizont,sidp_parameters.n_grid^dim,dim);  %prostor hyperstavu - kazdy bod ma souradnice (y, b, P)
mi=zeros(sidp_parameters.horizont,sidp_parameters.n_grid^dim);  %nejlepsi nalezena rozhodnuti - pocatecni strategie =0

%nastavi H0
step_eta_tilda0=apriori.eta_tilda0_range/(sidp_parameters.n_grid-1);
min_eta_tilda0=apriori.eta_tilda0;
step_beta_tilda0=apriori.beta_tilda0_range/(sidp_parameters.n_grid-1);
min_beta_tilda0=apriori.beta_tilda0;
for i=1:size(H,2)
    H(1,i,1)=min_eta_tilda0+step_eta_tilda0*(index(i,sidp_parameters.n_grid,1)-1);
    H(1,i,2)=min_beta_tilda0+step_beta_tilda0*(index(i,sidp_parameters.n_grid,2)-1);
    for j=1:1:sidp_parameters.horizont
        mi(j,i)=0.1*abs(randn)*H(1,i,2)/H(1,i,1)*2^(j-1);
    end
  %  plot(H(1,:,1),H(1,:,2),'r.');
end

end


